核心服务 API

Print News Search Direct API

报纸、杂志、行业出版物、编辑输出、媒体报道及印刷新闻。

API 参考 版本: 1.0.0 4 终端 身份验证
印刷媒体

基本网址

https://api.pressmonitor.com/news-print/v1

身份验证

所有请求使用 Bearer 令牌身份验证。每个调用都添加授权头。

Authorization: Bearer YOUR_TOKEN
GET /headlines

News Headlines

News Headlines

参数

名称 类型 位置 必填 描述
keywords_text string query Keywords text
lang_code string query Lang code
country_code string query Country code
count integer query Count
cursor string query Cursor

代码示例

curl --request GET --url 'https://api.pressmonitor.com/news-print/v1/headlines?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

响应

200 Success
GET /briefs

News Briefs

News Briefs

参数

名称 类型 位置 必填 描述
keywords_text string query Keywords text
lang_code string query Lang code
country_code string query Country code
count integer query Count
cursor string query Cursor

代码示例

curl --request GET --url 'https://api.pressmonitor.com/news-print/v1/briefs?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

响应

200 Success
GET /fulltext

News Fulltext

News Fulltext

参数

名称 类型 位置 必填 描述
keywords_text string query Keywords text
lang_code string query Lang code
country_code string query Country code
count integer query Count
cursor string query Cursor

代码示例

curl --request GET --url 'https://api.pressmonitor.com/news-print/v1/fulltext?keywords_text=SOME_STRING_VALUE&lang_code=SOME_STRING_VALUE&country_code=SOME_STRING_VALUE&count=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE'

响应

200 Success
GET /clip

Clip

Clip

参数

名称 类型 位置 必填 描述
id string query Id
ns string query Ns
date string query Date
host string query Host
ttl integer query Ttl

响应

200 Success